<?php
include_once $_SERVER['DOCUMENT_ROOT'] . '/include/shared-manual.inc';
$TOC = array();
$TOC_DEPRECATED = array();
$PARENTS = array();
include_once dirname(__FILE__) ."/toc/class.ds-vector.inc";
$setup = array (
  'home' => 
  array (
    0 => 'index.php',
    1 => 'PHP Manual',
  ),
  'head' => 
  array (
    0 => 'UTF-8',
    1 => 'ja',
  ),
  'this' => 
  array (
    0 => 'ds-vector.sort.php',
    1 => 'Ds\\Vector::sort',
  ),
  'up' => 
  array (
    0 => 'class.ds-vector.php',
    1 => 'Ds\\Vector',
  ),
  'prev' => 
  array (
    0 => 'ds-vector.slice.php',
    1 => 'Ds\\Vector::slice',
  ),
  'next' => 
  array (
    0 => 'ds-vector.sorted.php',
    1 => 'Ds\\Vector::sorted',
  ),
  'alternatives' => 
  array (
  ),
  'source' => 
  array (
    'lang' => 'en',
    'path' => 'reference/ds/ds/vector/sort.xml',
  ),
  'history' => 
  array (
  ),
);
$setup["toc"] = $TOC;
$setup["toc_deprecated"] = $TOC_DEPRECATED;
$setup["parents"] = $PARENTS;
manual_setup($setup);

contributors($setup);

?>
<div id="ds-vector.sort" class="refentry">
 <div class="refnamediv">
  <h1 class="refname">Ds\Vector::sort</h1>
  <p class="verinfo">(PECL ds &gt;= 1.0.0)</p><p class="refpurpose"><span class="refname">Ds\Vector::sort</span> &mdash; <span class="dc-title">
    Sorts the vector in-place
 </span></p>

 </div>

 <div class="refsect1 description" id="refsect1-ds-vector.sort-description">
  <h3 class="title">説明</h3>
  <div class="methodsynopsis dc-description">
   <span class="modifier">public</span> <span class="methodname"><strong>Ds\Vector::sort</strong></span>(<span class="methodparam"><span class="type"><a href="language.types.callable.php" class="type callable">callable</a></span> <code class="parameter">$comparator</code><span class="initializer"> = ?</span></span>): <span class="type"><a href="language.types.void.php" class="type void">void</a></span></div>

  <p class="para rdfs-comment">
    Sorts the vector in-place, using an optional <code class="parameter">comparator</code> function.
  </p>

 </div>


 <div class="refsect1 parameters" id="refsect1-ds-vector.sort-parameters">
  <h3 class="title">パラメータ</h3>
  <dl>
   
     <dt><code class="parameter">comparator</code></dt>
     <dd>
      <p class="para">
 比較関数は、最初の引数と二番目の引数の比較結果を返します。最初の引数のほうが二番目の引数より大きい場合は正の整数を、二番目の引数と等しい場合はゼロを、そして二番目の引数より小さい場合は負の整数を返す必要があります。
</p>
<div class="methodsynopsis dc-description"><span class="methodname"><span class="replaceable">callback</span></span>(<span class="methodparam"><span class="type"><a href="language.types.mixed.php" class="type mixed">mixed</a></span> <code class="parameter">$a</code></span>, <span class="methodparam"><span class="type"><a href="language.types.mixed.php" class="type mixed">mixed</a></span> <code class="parameter">$b</code></span>): <span class="type"><a href="language.types.integer.php" class="type int">int</a></span></div>

<div class="caution"><strong class="caution">警告</strong>
 <p class="para">
  <span class="type"><a href="language.types.float.php" class="type float">float</a></span> のような <em>非整数</em> を比較関数が返すと、その返り値を内部的に <span class="type"><a href="language.types.integer.php" class="type int">int</a></span> にキャストして使います。
  つまり、<code class="literal">0.99</code> や <code class="literal">0.1</code> といった値は整数値 <code class="literal">0</code> にキャストされ、
  値が等しいとみなされます。
 </p>
</div>
     </dd>
    
  </dl>
 </div>


 <div class="refsect1 returnvalues" id="refsect1-ds-vector.sort-returnvalues">
  <h3 class="title">戻り値</h3>
  <p class="para">
    値を返しません。
  </p>
 </div>


 <div class="refsect1 examples" id="refsect1-ds-vector.sort-examples">
  <h3 class="title">例</h3>
  <div class="example" id="example-4184">
   <p><strong>例1 <span class="function"><strong>Ds\Vector::sort()</strong></span> example</strong></p>
   <div class="example-contents">
<div class="phpcode"><code><span style="color: #000000"><span style="color: #0000BB">&lt;?php<br />$vector </span><span style="color: #007700">= new </span><span style="color: #0000BB">\Ds\Vector</span><span style="color: #007700">([</span><span style="color: #0000BB">4</span><span style="color: #007700">, </span><span style="color: #0000BB">5</span><span style="color: #007700">, </span><span style="color: #0000BB">1</span><span style="color: #007700">, </span><span style="color: #0000BB">3</span><span style="color: #007700">, </span><span style="color: #0000BB">2</span><span style="color: #007700">]);<br /></span><span style="color: #0000BB">$vector</span><span style="color: #007700">-&gt;</span><span style="color: #0000BB">sort</span><span style="color: #007700">();<br /><br /></span><span style="color: #0000BB">print_r</span><span style="color: #007700">(</span><span style="color: #0000BB">$vector</span><span style="color: #007700">);<br /></span><span style="color: #0000BB">?&gt;</span></span></code></div>
   </div>

   <div class="example-contents"><p>上の例の出力は、
たとえば以下のようになります。</p></div>
   <div class="example-contents screen">
<div class="examplescode"><pre class="examplescode">Ds\Vector Object
(
    [0] =&gt; 1
    [1] =&gt; 2
    [2] =&gt; 3
    [3] =&gt; 4
    [4] =&gt; 5
)</pre>
</div>
   </div>
  </div>
  <div class="example" id="example-4185">
   <p><strong>例2 <span class="function"><strong>Ds\Vector::sort()</strong></span> example using a comparator</strong></p>
   <div class="example-contents">
<div class="phpcode"><code><span style="color: #000000"><span style="color: #0000BB">&lt;?php<br />$vector </span><span style="color: #007700">= new </span><span style="color: #0000BB">\Ds\Vector</span><span style="color: #007700">([</span><span style="color: #0000BB">4</span><span style="color: #007700">, </span><span style="color: #0000BB">5</span><span style="color: #007700">, </span><span style="color: #0000BB">1</span><span style="color: #007700">, </span><span style="color: #0000BB">3</span><span style="color: #007700">, </span><span style="color: #0000BB">2</span><span style="color: #007700">]);<br /><br /></span><span style="color: #0000BB">$vector</span><span style="color: #007700">-&gt;</span><span style="color: #0000BB">sort</span><span style="color: #007700">(function(</span><span style="color: #0000BB">$a</span><span style="color: #007700">, </span><span style="color: #0000BB">$b</span><span style="color: #007700">) {<br />    return </span><span style="color: #0000BB">$b </span><span style="color: #007700">&lt;=&gt; </span><span style="color: #0000BB">$a</span><span style="color: #007700">;<br />});<br /><br /></span><span style="color: #0000BB">print_r</span><span style="color: #007700">(</span><span style="color: #0000BB">$vector</span><span style="color: #007700">);<br /></span><span style="color: #0000BB">?&gt;</span></span></code></div>
   </div>

   <div class="example-contents"><p>上の例の出力は、
たとえば以下のようになります。</p></div>
   <div class="example-contents screen">
<div class="examplescode"><pre class="examplescode">Ds\Vector Object
(
    [0] =&gt; 5
    [1] =&gt; 4
    [2] =&gt; 3
    [3] =&gt; 2
    [4] =&gt; 1
)</pre>
</div>
   </div>
  </div>

 </div>



</div><?php manual_footer($setup); ?>